using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using DevExpress.XtraReports.UI;
using BeWo.Report.ReportObjects;
using BeWo.Report;

namespace BeWo.SeWo
{
    public partial class Spitzabrechnung : DevExpress.XtraReports.UI.XtraReport, IBeWoReport<Settlement2RO>
    {
        public Spitzabrechnung()
        {
            InitializeComponent();
        }

        public void SetReportDataSource(Settlement2RO pRO)
        {
			if (String.IsNullOrEmpty(pRO.Notice))
			{
				lblNotice.Visible = false;
			}

			decimal rateFactor = 1;

			foreach (var ii in pRO.InvoiceItems)
			{
				if (ii.RateFactor.HasValue)
				{
					rateFactor = (100 + ii.RateFactor.Value) / 100;
				}
			}
			pRO.RateFactor = (double)rateFactor;

            this.bindingSource1.DataSource = pRO;
        }
    }
}
